Internal site. Jolli authentication required to view.
Skip to Content
API ReferencePlatformGET /v0/cluster/events/{event_id}

Get Cluster Event

GET/v0/cluster/events/{event_id}Platform

Try it

GET/v0/cluster/events/{event_id}
Authentication
Parameters

Get specific cluster monitor event.

The identifiers of the events can be retrieved via GET /v0/cluster/events. At most 1000 events are retained (newest first), and events older than 72h are deleted. The latest event, if it already exists, is never cleaned up. This endpoint can return a 404 for an event that no longer exists due to clean-up.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
event_idstringYesCluster monitor event identifier or `latest`

Query parameters

NameTypeRequiredDescription
selectorClusterMonitorEventFieldSelectorNoThe `selector` parameter limits which fields are returned. Limiting which fields is particularly handy for instance when frequently monitoring over low bandwidth connections while being only interested in status.

Response

200application/json
  • object
    Cluster monitor event information which has a selected subset of optional fields. If an optional field is not selected (i.e., is `None`), it will not be serialized.
    • all_healthybooleanrequired
    • api_resources_infostring
    • api_self_infostring
    • api_statusstringrequired
    • compiler_resources_infostring
    • compiler_self_infostring
    • compiler_statusstringrequired
    • idstring (uuid)required
      Cluster monitor event identifier.
    • recorded_atstring (date-time)required
    • runner_resources_infostring
    • runner_self_infostring
    • runner_statusstringrequired
404application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
501application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/cluster/events/{event_id}?selector=<selector>' \ -H 'Authorization: Bearer YOUR_TOKEN'